IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/7
Addresses2^121
/64 networks2^57
- Network
2e00::/7- First address
2e00::- Last address
2fff:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
- /64 networks (LANs)
- 144,115,188,075,855,872 (2^57)
- Full form
2e00:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
e.2.ip6.arpaf.2.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets
2e00::/7 makes 512 subnets of /16; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2e00::/16 | 2e00:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2e01::/16 | 2e01:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2e02::/16 | 2e02:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2e03::/16 | 2e03:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2e04::/16 | 2e04:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2e05::/16 | 2e05:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2e06::/16 | 2e06:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2e07::/16 | 2e07:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2e08::/16 | 2e08:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2e09::/16 | 2e09:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2e0a::/16 | 2e0a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2e0b::/16 | 2e0b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2e0c::/16 | 2e0c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2e0d::/16 | 2e0d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2e0e::/16 | 2e0e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2e0f::/16 | 2e0f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2e10::/16 | 2e10:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2e11::/16 | 2e11:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2e12::/16 | 2e12:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2e13::/16 | 2e13:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2e14::/16 | 2e14:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2e15::/16 | 2e15:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2e16::/16 | 2e16:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2e17::/16 | 2e17:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2e18::/16 | 2e18:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2e19::/16 | 2e19:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2e1a::/16 | 2e1a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2e1b::/16 | 2e1b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2e1c::/16 | 2e1c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2e1d::/16 | 2e1d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2e1e::/16 | 2e1e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2e1f::/16 | 2e1f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2e20::/16 | 2e20:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2e21::/16 | 2e21:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2e22::/16 | 2e22:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2e23::/16 | 2e23:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2e24::/16 | 2e24:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2e25::/16 | 2e25:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2e26::/16 | 2e26:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2e27::/16 | 2e27:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2e28::/16 | 2e28:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2e29::/16 | 2e29:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2e2a::/16 | 2e2a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2e2b::/16 | 2e2b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2e2c::/16 | 2e2c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2e2d::/16 | 2e2d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2e2e::/16 | 2e2e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2e2f::/16 | 2e2f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2e30::/16 | 2e30:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2e31::/16 | 2e31:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2e32::/16 | 2e32:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2e33::/16 | 2e33:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2e34::/16 | 2e34:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2e35::/16 | 2e35:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2e36::/16 | 2e36:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2e37::/16 | 2e37:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2e38::/16 | 2e38:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2e39::/16 | 2e39:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2e3a::/16 | 2e3a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2e3b::/16 | 2e3b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2e3c::/16 | 2e3c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2e3d::/16 | 2e3d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2e3e::/16 | 2e3e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2e3f::/16 | 2e3f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2e40::/16 | 2e40:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2e41::/16 | 2e41:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2e42::/16 | 2e42:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2e43::/16 | 2e43:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2e44::/16 | 2e44:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2e45::/16 | 2e45:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2e46::/16 | 2e46:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2e47::/16 | 2e47:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2e48::/16 | 2e48:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2e49::/16 | 2e49:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2e4a::/16 | 2e4a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2e4b::/16 | 2e4b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2e4c::/16 | 2e4c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2e4d::/16 | 2e4d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2e4e::/16 | 2e4e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2e4f::/16 | 2e4f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2e50::/16 | 2e50:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2e51::/16 | 2e51:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2e52::/16 | 2e52:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2e53::/16 | 2e53:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2e54::/16 | 2e54:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2e55::/16 | 2e55:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2e56::/16 | 2e56:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2e57::/16 | 2e57:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2e58::/16 | 2e58:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2e59::/16 | 2e59:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2e5a::/16 | 2e5a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2e5b::/16 | 2e5b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2e5c::/16 | 2e5c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2e5d::/16 | 2e5d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2e5e::/16 | 2e5e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2e5f::/16 | 2e5f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2e60::/16 | 2e60:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2e61::/16 | 2e61:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2e62::/16 | 2e62:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2e63::/16 | 2e63:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2e64::/16 | 2e64:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2e65::/16 | 2e65:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2e66::/16 | 2e66:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2e67::/16 | 2e67:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2e68::/16 | 2e68:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2e69::/16 | 2e69:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2e6a::/16 | 2e6a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2e6b::/16 | 2e6b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2e6c::/16 | 2e6c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2e6d::/16 | 2e6d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2e6e::/16 | 2e6e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2e6f::/16 | 2e6f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2e70::/16 | 2e70:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2e71::/16 | 2e71:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2e72::/16 | 2e72:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2e73::/16 | 2e73:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2e74::/16 | 2e74:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2e75::/16 | 2e75:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2e76::/16 | 2e76:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2e77::/16 | 2e77:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2e78::/16 | 2e78:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2e79::/16 | 2e79:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2e7a::/16 | 2e7a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2e7b::/16 | 2e7b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2e7c::/16 | 2e7c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2e7d::/16 | 2e7d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2e7e::/16 | 2e7e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2e7f::/16 | 2e7f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2e80::/16 | 2e80:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2e81::/16 | 2e81:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2e82::/16 | 2e82:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2e83::/16 | 2e83:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2e84::/16 | 2e84:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2e85::/16 | 2e85:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2e86::/16 | 2e86:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2e87::/16 | 2e87:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2e88::/16 | 2e88:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2e89::/16 | 2e89:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2e8a::/16 | 2e8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2e8b::/16 | 2e8b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2e8c::/16 | 2e8c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2e8d::/16 | 2e8d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2e8e::/16 | 2e8e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2e8f::/16 | 2e8f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2e90::/16 | 2e90:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2e91::/16 | 2e91:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2e92::/16 | 2e92:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2e93::/16 | 2e93:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2e94::/16 | 2e94:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2e95::/16 | 2e95:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2e96::/16 | 2e96:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2e97::/16 | 2e97:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2e98::/16 | 2e98:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2e99::/16 | 2e99:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2e9a::/16 | 2e9a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2e9b::/16 | 2e9b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2e9c::/16 | 2e9c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2e9d::/16 | 2e9d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2e9e::/16 | 2e9e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2e9f::/16 | 2e9f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2ea0::/16 | 2ea0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2ea1::/16 | 2ea1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2ea2::/16 | 2ea2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2ea3::/16 | 2ea3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2ea4::/16 | 2ea4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2ea5::/16 | 2ea5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2ea6::/16 | 2ea6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2ea7::/16 | 2ea7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2ea8::/16 | 2ea8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2ea9::/16 | 2ea9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2eaa::/16 | 2eaa:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2eab::/16 | 2eab:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2eac::/16 | 2eac:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2ead::/16 | 2ead:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2eae::/16 | 2eae:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2eaf::/16 | 2eaf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2eb0::/16 | 2eb0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2eb1::/16 | 2eb1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2eb2::/16 | 2eb2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2eb3::/16 | 2eb3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2eb4::/16 | 2eb4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2eb5::/16 | 2eb5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2eb6::/16 | 2eb6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2eb7::/16 | 2eb7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2eb8::/16 | 2eb8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2eb9::/16 | 2eb9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2eba::/16 | 2eba:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2ebb::/16 | 2ebb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2ebc::/16 | 2ebc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2ebd::/16 | 2ebd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2ebe::/16 | 2ebe:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2ebf::/16 | 2ebf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2ec0::/16 | 2ec0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2ec1::/16 | 2ec1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2ec2::/16 | 2ec2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2ec3::/16 | 2ec3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2ec4::/16 | 2ec4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2ec5::/16 | 2ec5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2ec6::/16 | 2ec6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2ec7::/16 | 2ec7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2ec8::/16 | 2ec8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2ec9::/16 | 2ec9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2eca::/16 | 2eca:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2ecb::/16 | 2ecb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2ecc::/16 | 2ecc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2ecd::/16 | 2ecd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2ece::/16 | 2ece:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2ecf::/16 | 2ecf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2ed0::/16 | 2ed0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2ed1::/16 | 2ed1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2ed2::/16 | 2ed2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2ed3::/16 | 2ed3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2ed4::/16 | 2ed4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2ed5::/16 | 2ed5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2ed6::/16 | 2ed6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2ed7::/16 | 2ed7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2ed8::/16 | 2ed8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2ed9::/16 | 2ed9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2eda::/16 | 2eda:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2edb::/16 | 2edb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2edc::/16 | 2edc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2edd::/16 | 2edd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2ede::/16 | 2ede:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2edf::/16 | 2edf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2ee0::/16 | 2ee0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2ee1::/16 | 2ee1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2ee2::/16 | 2ee2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2ee3::/16 | 2ee3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2ee4::/16 | 2ee4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2ee5::/16 | 2ee5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2ee6::/16 | 2ee6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2ee7::/16 | 2ee7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2ee8::/16 | 2ee8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2ee9::/16 | 2ee9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2eea::/16 | 2eea:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2eeb::/16 | 2eeb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2eec::/16 | 2eec:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2eed::/16 | 2eed:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2eee::/16 | 2eee:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2eef::/16 | 2eef:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2ef0::/16 | 2ef0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2ef1::/16 | 2ef1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2ef2::/16 | 2ef2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2ef3::/16 | 2ef3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2ef4::/16 | 2ef4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2ef5::/16 | 2ef5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2ef6::/16 | 2ef6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2ef7::/16 | 2ef7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2ef8::/16 | 2ef8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2ef9::/16 | 2ef9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2efa::/16 | 2efa:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2efb::/16 | 2efb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2efc::/16 | 2efc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2efd::/16 | 2efd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2efe::/16 | 2efe:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2eff::/16 | 2eff:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |